petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSortIntWithArray

Sorts an array of integers in place in increasing order; changes a second array to match the sorted first array.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortIntWithArray(PetscInt n,PetscInt i[],PetscInt Ii[])

Not Collective Many br

### Input Parameters

| n | - number of values Many br
| i | - array of integers Many br
| I | - second array of integers Many br

Many br

### See Also

PetscSortReal(), PetscSortIntPermutation(), PetscSortInt()

Level:intermediate
Location:src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages